# Contributing to OpenSourceCasino

We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

## We Develop with Github

We use github to host code, to track issues and feature requests, as well as accept pull requests. We use available templates for features/issues.

## Report bugs using Github's issues

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

## Use a Consistent Coding Style

* apply pre-commit git hook
* camelCase for variables' names
* variables should be placed on top of the file
* make pull requests only to the dev branch or other selected by the maintainers, never to the main branch
* commits have descriptive titles, one commit should change only one thing

## Becoming a maintainer

To become a maintainer you should be familiar with technologies used in this project and its coding style.
If you made valuable contributions to this project, feel confident in understanding its architecture and are aware of future plans, contact the owner.
